=== debian/changelog ===
strawberry (1.2.3-0.1~mx23+1) mx; urgency=medium

  * New upstream release

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 08 Dec 2024 15:10:46 -0800

strawberry (1.2.2-1) unstable; urgency=medium

  * New upstream release (drops external tagreader)
  * Rework patch, drop unneeded patch
  * Drop libdbus-1-dev, protobuf-devel, protobuf-devel from build--deps.
  * Update d/copyright

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 30 Nov 2024 11:13:31 +0000

strawberry (1.1.3-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Peter Blackman <peter@pblackman.plus.com>  Wed, 25 Sep 2024 11:36:42 +0100
