## strawberry 1.2.4

=== debian/changelog ===
strawberry (1.2.4-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright year
  * Change libtag dependencies (for libtag transition)

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 11 Jan 2025 15:21:00 +0000

strawberry (1.2.3-1) unstable; urgency=medium

  * New upstream release

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 10 Dec 2024 10:17:55 +0000
