## strawberry 1.2.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -18,24 +18,19 @@
 include(CheckIncludeFiles)
 include(FindPkgConfig)
 include(cmake/Version.cmake)
-include(cmake/Summary.cmake)
+include(cmake/OptionalComponent.cmake)
 include(cmake/OptionalSource.cmake)
 include(cmake/ParseArguments.cmake)
 
 if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
   set(LINUX ON)
-endif()
-if(CMAKE_SYSTEM_NAME STREQUAL "FreeBSD")
-  set(FREEBSD ON)
-endif()
-if(CMAKE_SYSTEM_NAME STREQUAL "OpenBSD")
-  set(OPENBSD ON)
 endif()
 
 if(LINUX)
   include(cmake/Rpm.cmake)
   include(cmake/Deb.cmake)
 endif()
+
 if(APPLE)
   include(cmake/Dmg.cmake)
 endif()
@@ -72,7 +67,6 @@
 
 if(WIN32)
   option(ENABLE_WIN32_CONSOLE "Show the windows console even outside Debug mode" ${ENABLE_WIN32_CONSOLE_DEFAULT})
-  option(USE_QTSPARKLE "Use Qt Sparkle updater" ON)
 endif()
 
 if(MSVC)
@@ -167,17 +161,17 @@
   find_package(Boost REQUIRED)
 endif()
 find_package(ICU COMPONENTS uc i18n REQUIRED)
-if(LINUX)
-  find_package(ALSA REQUIRED)
-else()
-  find_package(ALSA)
-endif()
 if(UNIX AND NOT APPLE)
+  if(LINUX)
+    find_package(ALSA REQUIRED)
+  else()
+    find_package(ALSA)
+  endif()
   find_package(X11 COMPONENTS X11_xcb)
 endif()
 pkg_check_modules(GLIB REQUIRED IMPORTED_TARGET glib-2.0)
 pkg_check_modules(GOBJECT REQUIRED IMPORTED_TARGET gobject-2.0)
-if(UNIX AND NOT APPLE)
+if(NOT APPLE)
   pkg_check_modules(GIO REQUIRED IMPORTED_TARGET gio-2.0)
   if(GIO_FOUND AND UNIX)
     pkg_check_modules(GIO_UNIX IMPORTED_TARGET gio-unix-2.0)
@@ -191,7 +185,9 @@
 pkg_check_modules(GSTREAMER_TAG REQUIRED IMPORTED_TARGET gstreamer-tag-1.0)
 pkg_check_modules(GSTREAMER_PBUTILS REQUIRED IMPORTED_TARGET gstreamer-pbutils-1.0)
 pkg_check_modules(SQLITE REQUIRED IMPORTED_TARGET sqlite3>=3.9)
-pkg_check_modules(LIBPULSE IMPORTED_TARGET libpulse)
+if(UNIX AND NOT APPLE)
+  pkg_check_modules(LIBPULSE IMPORTED_TARGET libpulse)
+endif()
 pkg_check_modules(CHROMAPRINT IMPORTED_TARGET libchromaprint>=1.4)
 pkg_check_modules(FFTW3 IMPORTED_TARGET fftw3)
 pkg_check_modules(LIBEBUR128 IMPORTED_TARGET libebur128)
@@ -271,33 +267,36 @@
   add_definitions(-DKDSINGLEAPPLICATION_STATIC_BUILD)
 endif()
 
-# if(APPLE)
-#   find_package(SPMediaKeyTap REQUIRED)
-# endif()
+if(APPLE)
+  find_library(SPARKLE Sparkle)
+  #find_package(SPMediaKeyTap REQUIRED)
+endif()
 
 if(WIN32)
   find_package(getopt-win REQUIRED)
-  if(USE_QTSPARKLE)
-    pkg_check_modules(QTSPARKLE REQUIRED IMPORTED_TARGET qtsparkle-qt${QT_VERSION_MAJOR})
-    set(HAVE_QTSPARKLE ON)
-  endif()
-endif()
-
-optional_component(ALSA ON "ALSA integration"
-  DEPENDS "alsa" ALSA_FOUND
-)
-
-optional_component(PULSE ON "PulseAudio integration"
-  DEPENDS "libpulse" LIBPULSE_FOUND
-)
-
-optional_component(DBUS ON "D-Bus support"
-  DEPENDS "Qt D-Bus" DBUS_FOUND
-)
-
-optional_component(MPRIS2 ON "MPRIS2 D-Bus Interface"
-  DEPENDS "D-Bus support" HAVE_DBUS
-)
+endif()
+
+if(APPLE OR WIN32)
+  find_package(qtsparkle-qt${QT_VERSION_MAJOR})
+  if(TARGET "qtsparkle-qt${QT_VERSION_MAJOR}::qtsparkle")
+    set(QTSPARKLE_FOUND ON)
+  endif()
+endif()
+
+if(UNIX AND NOT APPLE)
+  optional_component(ALSA ON "ALSA integration"
+    DEPENDS "alsa" ALSA_FOUND
+  )
+  optional_component(PULSE ON "PulseAudio integration"
+    DEPENDS "libpulse" LIBPULSE_FOUND
+  )
+  optional_component(DBUS ON "D-Bus support"
+    DEPENDS "Qt D-Bus" DBUS_FOUND
+  )
+  optional_component(MPRIS2 ON "MPRIS2 D-Bus Interface"
+    DEPENDS "D-Bus support" HAVE_DBUS
+  )
+endif()
 
 optional_component(SONGFINGERPRINTING ON "Song fingerprinting and tracking"
   DEPENDS "chromaprint" CHROMAPRINT_FOUND
@@ -307,26 +306,29 @@
   DEPENDS "chromaprint" CHROMAPRINT_FOUND
 )
 
-optional_component(X11_GLOBALSHORTCUTS ON "X11 global shortcuts"
-  DEPENDS "X11" X11_FOUND
-  DEPENDS "QX11Application" HAVE_QX11APPLICATION
-)
-
-optional_component(KGLOBALACCEL_GLOBALSHORTCUTS ON "KGlobalAccel global shortcuts"
-  DEPENDS "D-Bus support" HAVE_DBUS
-)
-
-optional_component(UDISKS2 ON "Devices: UDisks2 backend"
-  DEPENDS "D-Bus support" HAVE_DBUS
-)
-
-optional_component(GIO ON "Devices: GIO device backend"
-  DEPENDS "libgio" GIO_FOUND
-)
-
-optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
-  DEPENDS "libgio-unix" GIO_UNIX_FOUND
-)
+if(UNIX AND NOT APPLE)
+  optional_component(X11_GLOBALSHORTCUTS ON "X11 global shortcuts"
+    DEPENDS "X11" X11_FOUND
+    DEPENDS "QX11Application" HAVE_QX11APPLICATION
+  )
+  optional_component(KGLOBALACCEL_GLOBALSHORTCUTS ON "KGlobalAccel global shortcuts"
+    DEPENDS "D-Bus support" HAVE_DBUS
+  )
+  optional_component(UDISKS2 ON "Devices: UDisks2 backend"
+    DEPENDS "D-Bus support" HAVE_DBUS
+  )
+endif()
+
+if(NOT APPLE)
+  optional_component(GIO ON "Devices: GIO device backend"
+    DEPENDS "libgio" GIO_FOUND
+  )
+  if(UNIX)
+    optional_component(GIO_UNIX ON "Devices: GIO device backend (Unix support)"
+      DEPENDS "libgio-unix" GIO_UNIX_FOUND
+    )
+  endif()
+endif()
 
 optional_component(AUDIOCD ON "Devices: Audio CD support"
   DEPENDS "libcdio" LIBCDIO_FOUND
@@ -357,6 +359,18 @@
 optional_component(EBUR128 ON "EBU R 128 loudness normalization"
   DEPENDS "libebur128" LIBEBUR128_FOUND
 )
+
+if(APPLE)
+  optional_component(SPARKLE ON "Sparkle integration"
+    DEPENDS "Sparkle" SPARKLE
+  )
+endif()
+
+if(APPLE OR WIN32)
+  optional_component(QTSPARKLE ON "QtSparkle integration"
+    DEPENDS "QtSparkle" QTSPARKLE_FOUND
+  )
+endif()
 
 if(HAVE_SONGFINGERPRINTING OR HAVE_MUSICBRAINZ)
   set(HAVE_CHROMAPRINT ON)
@@ -392,7 +406,7 @@
 
 if(APPLE)
   set_target_properties(strawberry PROPERTIES MACOSX_BUNDLE TRUE)
-  set_target_properties(strawberry PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_SOURCE_DIR}/dist/macos/Info.plist")
+  set_target_properties(strawberry PROPERTIES MACOSX_BUNDLE_INFO_PLIST "${CMAKE_CURRENT_BINARY_DIR}/dist/macos/Info.plist")
 endif()
 
 if(WIN32 AND NOT ENABLE_WIN32_CONSOLE)
@@ -408,13 +422,3 @@
   src/core/commandlineoptions.cpp
   src/core/database.cpp
   src/core/memorydatabase.cpp
-  src/core/sqlquery.cpp
-  src/core/sqlrow.cpp
-  src/core/metatypes.cpp
-  src/core/deletefiles.cpp
-  src/core/filesystemmusicstorage.cpp
-  src/core/filesystemwatcherinterface.cpp
-  src/core/mergedproxymodel.cpp
-  src/core/multisortfilterproxy.cpp
-  src/core/musicstorage.cpp
-  src/core/networkaccessmanager.cpp
