=== debian/changelog ===
strawberry (1.2.6-1) unstable; urgency=medium

  * New upstream release
  * Add ibkdsingleapplication-qt6-dev to d/control (#1092787)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 20 Jan 2025 13:12:43 +0000
