=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libicu-dev,
+ libkdsingleapplication-qt6-dev,
  libmtp-dev,
  libpulse-dev,
  libsqlite3-dev,
