## strawberry 1.2.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -128,7 +128,10 @@
 )
 
 if(WIN32)
-  add_definitions(-DUNICODE)
+  add_definitions(
+    -DUNICODE
+    -DNOMINMAX
+  )
 endif()
 
 if(BUILD_WERROR)
@@ -211,30 +214,23 @@
 set(QT_MIN_VERSION 6.4.0)
 set(QT_DEFAULT_MAJOR_VERSION ${QT_VERSION_MAJOR})
 set(QT_COMPONENTS Core Concurrent Gui Widgets Network Sql)
-set(QT_OPTIONAL_COMPONENTS LinguistTools Test)
+set(QT_OPTIONAL_COMPONENTS GuiPrivate LinguistTools Test)
 if(UNIX AND NOT APPLE)
   list(APPEND QT_OPTIONAL_COMPONENTS DBus)
 endif()
+set(QT_NO_PRIVATE_MODULE_WARNING ON)
 
 find_package(Qt${QT_VERSION_MAJOR} ${QT_MIN_VERSION} COMPONENTS ${QT_COMPONENTS} REQUIRED OPTIONAL_COMPONENTS ${QT_OPTIONAL_COMPONENTS})
+
+if(TARGET "Qt${QT_VERSION_MAJOR}::GuiPrivate")
+  set(QT_GUI_PRIVATE_FOUND ON)
+endif()
 
 if(Qt${QT_VERSION_MAJOR}DBus_FOUND)
   set(DBUS_FOUND ON)
 endif()
 
 if(X11_FOUND)
-
-  find_path(QPA_QPLATFORMNATIVEINTERFACE_H qpa/qplatformnativeinterface.h PATHS ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS} ${Qt${QT_VERSION_MAJOR}Gui_PRIVATE_INCLUDE_DIRS})
-  if(NOT QPA_QPLATFORMNATIVEINTERFACE_H)
-    find_path(QPA_QPLATFORMNATIVEINTERFACE_H ${Qt${QT_VERSION_MAJOR}Gui_VERSION}/QtGui/qpa/qplatformnativeinterface.h PATHS ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS} ${Qt${QT_VERSION_MAJOR}Gui_PRIVATE_INCLUDE_DIRS})
-  endif()
-  if(QPA_QPLATFORMNATIVEINTERFACE_H)
-    set(HAVE_QPA_QPLATFORMNATIVEINTERFACE_H ON)
-    message(STATUS "Have qpa/qplatformnativeinterface.h header.")
-  else()
-    message(STATUS "Missing qpa/qplatformnativeinterface.h header.")
-  endif()
-
   # Check for QX11Application (Qt 6 compiled with XCB).
   set(CMAKE_REQUIRED_FLAGS "-std=c++17")
   set(CMAKE_REQUIRED_LIBRARIES Qt${QT_VERSION_MAJOR}::Core Qt${QT_VERSION_MAJOR}::Gui)
@@ -249,7 +245,6 @@
   )
   unset(CMAKE_REQUIRED_FLAGS)
   unset(CMAKE_REQUIRED_LIBRARIES)
-
 endif()
 
 # SingleApplication
@@ -371,6 +366,10 @@
     DEPENDS "QtSparkle" QTSPARKLE_FOUND
   )
 endif()
+
+optional_component(QPA_QPLATFORMNATIVEINTERFACE ON "QPA Platform Native Interface"
+  DEPENDS "Qt Gui Private" QT_GUI_PRIVATE_FOUND
+)
 
 if(HAVE_SONGFINGERPRINTING OR HAVE_MUSICBRAINZ)
   set(HAVE_CHROMAPRINT ON)
@@ -422,3 +421,15 @@
   src/core/commandlineoptions.cpp
   src/core/database.cpp
   src/core/memorydatabase.cpp
+  src/core/sqlquery.cpp
+  src/core/sqlrow.cpp
+  src/core/metatypes.cpp
+  src/core/deletefiles.cpp
+  src/core/filesystemmusicstorage.cpp
+  src/core/filesystemwatcherinterface.cpp
+  src/core/mergedproxymodel.cpp
+  src/core/multisortfilterproxy.cpp
+  src/core/musicstorage.cpp
+  src/core/networkaccessmanager.cpp
+  src/core/threadsafenetworkdiskcache.cpp
+  src/core/networktimeouts.cpp
