=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,7 @@
   ${CMAKE_SOURCE_DIR}/src
 )
 target_link_libraries(test_utils PRIVATE
-  GTest::GTest
+  GTest::gtest
   GTest::gmock
   Qt${QT_VERSION_MAJOR}::Core
   Qt${QT_VERSION_MAJOR}::Widgets
@@ -93,13 +93,14 @@
       target_link_libraries(${TEST_NAME} PRIVATE test_main)
     endif()
 
-    add_test(strawberry_tests ${TEST_NAME})
+    add_test(NAME ${TEST_NAME} COMMAND ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX})
     add_custom_command(TARGET strawberry_tests POST_BUILD COMMAND ./${TEST_NAME}${CMAKE_EXECUTABLE_SUFFIX})
     add_dependencies(build_tests ${TEST_NAME})
 endmacro(add_test_file)
 
 add_test_file(src/utilities_test.cpp false)
 add_test_file(src/concurrentrun_test.cpp false)
+add_test_file(src/mutex_protected_test.cpp false)
 add_test_file(src/mergedproxymodel_test.cpp false)
 add_test_file(src/sqlite_test.cpp false)
 add_test_file(src/tagreader_test.cpp false)
