=== debian/changelog ===
strawberry (1.2.7-2) unstable; urgency=medium

  * Build with kdsingleapplication (Closes: #1092787)

 -- Peter Blackman <peter@pblackman.plus.com>  Mon, 03 Feb 2025 18:41:22 +0000

strawberry (1.2.7-1) unstable; urgency=medium

  * New upstream release
  * Extra build dependencies, libxkbcommon-dev, qt6-base-private-dev

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 01 Feb 2025 14:33:45 +0000
