=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libgstreamer-plugins-base1.0-dev,
  libgstreamer1.0-dev,
  libicu-dev,
+ libxkbcommon-dev,
  libkdsingleapplication-qt6-dev,
  libmtp-dev,
  libpulse-dev,
@@ -25,6 +26,7 @@
  libtag-c-dev,
  libvlc-dev,
  qt6-base-dev,
+ qt6-base-private-dev,
  qt6-base-dev-tools,
  qt6-l10n-tools,
  qt6-tools-dev,
