## strawberry 1.2.9

=== debian/changelog ===
strawberry (1.2.9-2) unstable; urgency=medium

  * Drop patch for kdsingleapplication version 1.0.0
  * Include debian/files in debian/clean

 -- Peter Blackman <peter@pblackman.plus.com>  Fri, 11 Apr 2025 14:09:53 +0100

strawberry (1.2.9-1) unstable; urgency=medium

  * New upstream version 1.2.9

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 10 Apr 2025 12:41:13 +0100

strawberry (1.2.8-1) unstable; urgency=medium

  * New upstream version 1.2.8
  * Add import-orig filter to gbp.conf
  * New upstream release
  *  (https://forum.strawberrymusicplayer.org/topic/5764/version-1-2-8-released)
  * Refresh patches
  * Update build dependencies
  * Standards 4.7.2 (No changes)
  * Update d/copyright
  * Drop unneeded lintian override

 -- Peter Blackman <peter@pblackman.plus.com>  Sun, 06 Apr 2025 13:20:08 +0100
