=== debian/control ===
--- 
+++ 
@@ -6,32 +6,32 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ libglib2.0-dev,
+ libboost-dev,
+ libsqlite3-dev,
  libasound2-dev,
- libboost-dev,
- libcdio-dev,
- libchromaprint-dev,
- libebur128-dev,
- libfftw3-dev,
- libglib2.0-dev,
- libgnutls28-dev,
- libgpod-dev,
- libgstreamer-plugins-base1.0-dev,
- libgstreamer1.0-dev,
+ libpulse-dev,
+ libtag1-dev,
  libicu-dev,
  libxkbcommon-dev,
- libkdsingleapplication-qt6-dev,
- libmtp-dev,
- libpulse-dev,
- libsqlite3-dev,
- libtag-c-dev,
- libvlc-dev,
  qt6-base-dev,
  qt6-base-private-dev,
  qt6-base-dev-tools,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
  qt6-l10n-tools,
- qt6-tools-dev,
- qt6-tools-dev-tools
-Standards-Version: 4.7.0
+ libkdsingleapplication-qt6-dev,
+ libgstreamer1.0-dev,
+ libgstreamer-plugins-base1.0-dev,
+ libcdio-dev,
+ libgpod-dev,
+ libmtp-dev,
+ libchromaprint-dev,
+ libfftw3-dev,
+ libebur128-dev,
+ libsparsehash-dev,
+ rapidjson-dev
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/strawberry
 Vcs-Git: https://salsa.debian.org/debian/strawberry.git
