## strawberry 1.2.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -81,7 +81,7 @@
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 if(MSVC)
-  list(APPEND COMPILE_OPTIONS /MP)
+  list(APPEND COMPILE_OPTIONS -MP -W4 -wd4702)
 else()
   list(APPEND COMPILE_OPTIONS
     $<$<COMPILE_LANGUAGE:C>:-std=c11>
@@ -210,6 +210,10 @@
 
 find_package(GTest)
 
+pkg_check_modules(LIBSPARSEHASH IMPORTED_TARGET libsparsehash)
+
+find_package(RapidJSON)
+
 set(QT_VERSION_MAJOR 6)
 set(QT_MIN_VERSION 6.4.0)
 set(QT_DEFAULT_MAJOR_VERSION ${QT_VERSION_MAJOR})
@@ -247,20 +251,7 @@
   unset(CMAKE_REQUIRED_LIBRARIES)
 endif()
 
-# SingleApplication
-set(KDSINGLEAPPLICATION_NAME "KDSingleApplication-qt${QT_VERSION_MAJOR}")
-find_package(${KDSINGLEAPPLICATION_NAME} 1.1.0)
-if(TARGET KDAB::kdsingleapplication)
-  set(KDSINGLEAPPLICATION_VERSION "${KDSingleApplication-qt6_VERSION}")
-  message(STATUS "Using system KDSingleApplication (Version ${KDSINGLEAPPLICATION_VERSION})")
-  set(SINGLEAPPLICATION_LIBRARIES KDAB::kdsingleapplication)
-else()
-  message(STATUS "Using 3rdparty KDSingleApplication")
-  add_subdirectory(3rdparty/kdsingleapplication)
-  set(SINGLEAPPLICATION_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR}/3rdparty/kdsingleapplication/KDSingleApplication/src)
-  set(SINGLEAPPLICATION_LIBRARIES kdsingleapplication)
-  add_definitions(-DKDSINGLEAPPLICATION_STATIC_BUILD)
-endif()
+find_package(KDSingleApplication-qt${QT_VERSION_MAJOR} 1.1.0 REQUIRED)
 
 if(APPLE)
   find_library(SPARKLE Sparkle)
@@ -369,6 +360,14 @@
 
 optional_component(QPA_QPLATFORMNATIVEINTERFACE ON "QPA Platform Native Interface"
   DEPENDS "Qt Gui Private" QT_GUI_PRIVATE_FOUND
+)
+
+optional_component(STREAMTAGREADER ON "Stream tagreader"
+  DEPENDS "sparsehash" LIBSPARSEHASH_FOUND
+)
+
+optional_component(DISCORD_RPC ON "Discord Rich Presence"
+  DEPENDS "RapidJSON" RapidJSON_FOUND
 )
 
 if(HAVE_SONGFINGERPRINTING OR HAVE_MUSICBRAINZ)
@@ -433,3 +432,17 @@
   src/core/networkaccessmanager.cpp
   src/core/threadsafenetworkdiskcache.cpp
   src/core/networktimeouts.cpp
+  src/core/networkproxyfactory.cpp
+  src/core/qtfslistener.cpp
+  src/core/settings.cpp
+  src/core/settingsprovider.cpp
+  src/core/signalchecker.cpp
+  src/core/song.cpp
+  src/core/songloader.cpp
+  src/core/stylehelper.cpp
+  src/core/stylesheetloader.cpp
+  src/core/taskmanager.cpp
+  src/core/thread.cpp
+  src/core/urlhandler.cpp
+  src/core/urlhandlers.cpp
+  src/core/iconloader.cpp
