=== debian/changelog ===
strawberry (1.2.10-2) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Avoid transitional pkg libtag1-dev

  [ PeterB ]
  * Fix 'translations-not-found' AppStream warning

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 03 May 2025 13:11:42 +0100

strawberry (1.2.10-1) unstable; urgency=medium

  * New upstream version 1.2.10
  * Refresh patch
  * Trim debian/clean
  * Remove reference to Genius in debian/control
  * Update copyright dates

 -- Peter Blackman <peter@pblackman.plus.com>  Sat, 19 Apr 2025 17:28:14 +0100
