=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  libsqlite3-dev,
  libasound2-dev,
  libpulse-dev,
- libtag1-dev,
+ libtag-dev,
  libicu-dev,
  libxkbcommon-dev,
  qt6-base-dev,
@@ -70,7 +70,7 @@
   - Automatically retrieve tags from MusicBrainz
   - Album cover art from Last.fm, Musicbrainz, Discogs, Musixmatch, Deezer,
   -   Tidal, Qobuz and Spotify
-  - Song lyrics from Genius, Musixmatch, ChartLyrics, lyrics.ovh,
+  - Song lyrics from Musixmatch, ChartLyrics, lyrics.ovh,
      lololyrics.com, songlyrics.com, azlyrics.com and elyrics.net
   - Audio analyzer
   - Audio equalizer
